// Generated by gir (https://github.com/gtk-rs/gir @ 23d7c100187c)
// from 
// from gir-files (https://github.com/gtk-rs/gir-files.git @ 6415239ef435)
// DO NOT EDIT

#include "manual.h"
#include <stdio.h>

#define PRINT_CONSTANT(CONSTANT_NAME) \
    printf("%s;", #CONSTANT_NAME); \
    printf(_Generic((CONSTANT_NAME), \
                    char *: "%s", \
                    const char *: "%s", \
                    char: "%c", \
                    signed char: "%hhd", \
                    unsigned char: "%hhu", \
                    short int: "%hd", \
                    unsigned short int: "%hu", \
                    int: "%d", \
                    unsigned int: "%u", \
                    long: "%ld", \
                    unsigned long: "%lu", \
                    long long: "%lld", \
                    unsigned long long: "%llu", \
                    float: "%f", \
                    double: "%f", \
                    long double: "%ld"), \
           CONSTANT_NAME); \
    printf("\n");

int main() {
    PRINT_CONSTANT((gint) DZL_ANIMATION_EASE_IN_CUBIC);
    PRINT_CONSTANT((gint) DZL_ANIMATION_EASE_IN_OUT_CUBIC);
    PRINT_CONSTANT((gint) DZL_ANIMATION_EASE_IN_OUT_QUAD);
    PRINT_CONSTANT((gint) DZL_ANIMATION_EASE_IN_QUAD);
    PRINT_CONSTANT((gint) DZL_ANIMATION_EASE_OUT_CUBIC);
    PRINT_CONSTANT((gint) DZL_ANIMATION_EASE_OUT_QUAD);
    PRINT_CONSTANT((gint) DZL_ANIMATION_LINEAR);
    PRINT_CONSTANT(DZL_DOCK_BIN_STYLE_CLASS_PINNED);
    PRINT_CONSTANT((gint) DZL_DOCK_REVEALER_TRANSITION_TYPE_NONE);
    PRINT_CONSTANT((gint) DZL_DOCK_REVEALER_TRANSITION_TYPE_SLIDE_DOWN);
    PRINT_CONSTANT((gint) DZL_DOCK_REVEALER_TRANSITION_TYPE_SLIDE_LEFT);
    PRINT_CONSTANT((gint) DZL_DOCK_REVEALER_TRANSITION_TYPE_SLIDE_RIGHT);
    PRINT_CONSTANT((gint) DZL_DOCK_REVEALER_TRANSITION_TYPE_SLIDE_UP);
    PRINT_CONSTANT((guint) DZL_FILE_TRANSFER_FLAGS_MOVE);
    PRINT_CONSTANT((guint) DZL_FILE_TRANSFER_FLAGS_NONE);
    PRINT_CONSTANT((guint) DZL_PROPERTIES_FLAGS_NONE);
    PRINT_CONSTANT((guint) DZL_PROPERTIES_FLAGS_STATEFUL_BOOLEANS);
    PRINT_CONSTANT((gint) DZL_SHORTCUT_ACCELERATOR);
    PRINT_CONSTANT((gint) DZL_SHORTCUT_GESTURE);
    PRINT_CONSTANT((gint) DZL_SHORTCUT_GESTURE_PINCH);
    PRINT_CONSTANT((gint) DZL_SHORTCUT_GESTURE_ROTATE_CLOCKWISE);
    PRINT_CONSTANT((gint) DZL_SHORTCUT_GESTURE_ROTATE_COUNTERCLOCKWISE);
    PRINT_CONSTANT((gint) DZL_SHORTCUT_GESTURE_STRETCH);
    PRINT_CONSTANT((gint) DZL_SHORTCUT_GESTURE_TWO_FINGER_SWIPE_LEFT);
    PRINT_CONSTANT((gint) DZL_SHORTCUT_GESTURE_TWO_FINGER_SWIPE_RIGHT);
    PRINT_CONSTANT((gint) DZL_SHORTCUT_MATCH_EQUAL);
    PRINT_CONSTANT((gint) DZL_SHORTCUT_MATCH_NONE);
    PRINT_CONSTANT((gint) DZL_SHORTCUT_MATCH_PARTIAL);
    PRINT_CONSTANT((guint) DZL_SHORTCUT_PHASE_BUBBLE);
    PRINT_CONSTANT((guint) DZL_SHORTCUT_PHASE_CAPTURE);
    PRINT_CONSTANT((guint) DZL_SHORTCUT_PHASE_DISPATCH);
    PRINT_CONSTANT((guint) DZL_SHORTCUT_PHASE_GLOBAL);
    PRINT_CONSTANT((gint) DZL_SLIDER_BOTTOM);
    PRINT_CONSTANT((gint) DZL_SLIDER_LEFT);
    PRINT_CONSTANT((gint) DZL_SLIDER_NONE);
    PRINT_CONSTANT((gint) DZL_SLIDER_RIGHT);
    PRINT_CONSTANT((gint) DZL_SLIDER_TOP);
    PRINT_CONSTANT((guint) DZL_TAB_BOTH);
    PRINT_CONSTANT((guint) DZL_TAB_ICONS);
    PRINT_CONSTANT((guint) DZL_TAB_TEXT);
    PRINT_CONSTANT((gint) DZL_THREE_GRID_COLUMN_CENTER);
    PRINT_CONSTANT((gint) DZL_THREE_GRID_COLUMN_LEFT);
    PRINT_CONSTANT((gint) DZL_THREE_GRID_COLUMN_RIGHT);
    PRINT_CONSTANT((gint) DZL_TITLEBAR_ANIMATION_HIDDEN);
    PRINT_CONSTANT((gint) DZL_TITLEBAR_ANIMATION_HIDING);
    PRINT_CONSTANT((gint) DZL_TITLEBAR_ANIMATION_SHOWING);
    PRINT_CONSTANT((gint) DZL_TITLEBAR_ANIMATION_SHOWN);
    PRINT_CONSTANT((gint) DZL_TREE_DROP_AFTER);
    PRINT_CONSTANT((gint) DZL_TREE_DROP_BEFORE);
    PRINT_CONSTANT((gint) DZL_TREE_DROP_INTO);
    return 0;
}
